
Redmine - Defect #27003

import subtask csv

2017-09-14 18:14 - manel mammou

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

hello how can i import a sub task to redmine in csv format

i tried this

"Tracker","Status","Priority","Subject","Author","Assignee","Category","Target version","Start date","Due date","Estimated

time","Private","Exigences","Parent task","Description"

"Development","In Progress","Subject","some Author","some

Assignee","CAT_SAA","G.Ag_V0","2017-02-01","2017-02-10","16.00","No","test","#703","Description"

PS: #703 is an existing task already imported

I get this error : Unique field must be specified because the column Parent task needs to refer to other tasks

History

#1 - 2017-09-14 18:17 - manel mammou

"Tracker","Status","Priority","Subject","Author","Assignee","Category","Target version","Start date","Due date","Estimated

time","Private","Exigences","Parent task","Description"

"Development","Normal","In Progress","Subject","some Author","some

Assignee","CAT_SAA","G.Ag_V0","2017-02-01","2017-02-10","16.00","No","test","#703","Description"

#2 - 2017-09-14 19:08 - Toshi MARUYAMA

- Category deleted (Importers)

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Invalid

https://github.com/leovitch/redmine_importer/blob/c65c22208cdeb44/config/locales/en.yml#L39

text_rmi_specify_unique_field_for_column: "Unique field must be specified because the column {{column}} needs to refer to other tasks"

#3 - 2019-02-18 09:14 - sosogh sosogh

My redmine is :

Environment:

  Redmine version                3.4.4.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.3

  Git                            2.7.4

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.5

  redmine_app__space             1.0.4

  redmine_app_timesheets         1.5.12
  redmine_code_review            0.8.0

  redmine_gitlab_hook            0.1.3

  redmine_highlightjs            1.0.3

  redmine_image_clipboard_paste  3.3.0

  redmine_importer               1.0

  redmine_issues_tree            0.0.10

  redmine_lightbox2              0.4.3

  redmine_omniauth_gitlab        0.0.1

  redmine_spent_time_required    0.0.1

  redmine_user_specific_theme    1.2.0

  redmine_webhook                0.0.2

  redmine_work_time              0.3.4

  scrum                          0.18.0

  timesheet                      0.7.0

 After enable it in  Admin/Projects/../Modules ，whenever access a menu of the project http://192.168.251.53/projects/rmo2/xxxx , I got the following

errlog .

Completed 500 Internal Server Error in 838ms (ActiveRecord: 276.9ms)

ActionView::Template::Error (No route matches {:action=>"index", :controller=>"importer", :project_id=>#<Proje

ct id: 52, name: "RMO", description: "RMO_2", homepage: "", is_public: false, parent_id: nil, created_on: "201

8-07-23 01:48:34", updated_on: "2018-07-23 01:48:34", identifier: "rmo2", status: 1, lft: 129, rgt: 130, inher

it_members: false, default_version_id: nil, default_assigned_to_id: nil, product_backlog_id: nil>}):

#4 - 2019-02-18 10:48 - sosogh sosogh

Finally , I found that with redmine 3.4.4.stable , the default "import menu" can do that .

Ihe most important thing is that: the value of the "Parent task" is not only integer , it has to contain character # ，such as #816

Powered by TCPDF (www.tcpdf.org)

2025-05-29 2/2

http://192.168.251.53/projects/rmo2/xxxx
http://www.tcpdf.org

